## org.eclipse.datatools.modelbase.sql.schema
Interface Database

All Superinterfaces:
  SQLObject

All Known Implementing Classes:
  DatabaseImpl

public interface Database
extends SQLObject

A representation of the model object 'Database'.

The following features are supported:

- `Vendor`
- `Version`
- `Schemas`
- `Events`
- `Authorization Ids`

See Also:
  `SQLSchemaPackage.getDatabase()`

Method Summary
`EList` `getAuthorizationIds()` Returns the value of the 'Authorization Ids' reference list.
`EList` `getEvents()` Returns the value of the 'Events' reference list.
`EList` `getSchemas()` Returns the value of the 'Schemas' reference list.
`java.util.List` `getUserDefinedTypes()`
`java.lang.String` `getVendor()` Returns the value of the 'Vendor' attribute.
`java.lang.String` `getVersion()` Returns the value of the 'Version' attribute.
`void` `setVendor(java.lang.String value)` Sets the value of the '`Vendor`' attribute.
`void` `setVersion(java.lang.String value)` Sets the value of the '`Version`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getVendor

    public java.lang.String getVendor()

  Returns the value of the 'Vendor' attribute.

  If the meaning of the 'Vendor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Vendor' attribute.
  See Also:
    `setVendor(String)`, `SQLSchemaPackage.getDatabase_Vendor()`

### setVendor

    public void setVendor(java.lang.String value)

  Sets the value of the '`Vendor`' attribute.

  Parameters:
    `value` - the new value of the 'Vendor' attribute.
  See Also:
    `getVendor()`

### getVersion

    public java.lang.String getVersion()

  Returns the value of the 'Version' attribute.

  If the meaning of the 'Version' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Version' attribute.
  See Also:
    `setVersion(String)`, `SQLSchemaPackage.getDatabase_Version()`

### setVersion

    public void setVersion(java.lang.String value)

  Sets the value of the '`Version`' attribute.

  Parameters:
    `value` - the new value of the 'Version' attribute.
  See Also:
    `getVersion()`

### getSchemas

    public EList getSchemas()

  Returns the value of the 'Schemas' reference list. The list contents are of type `Schema`. It is bidirectional and its opposite is '`Database`'.

  If the meaning of the 'Schemas' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Schemas' reference list.
  See Also:
    `SQLSchemaPackage.getDatabase_Schemas()`, `Schema.getDatabase()`

### getEvents

    public EList getEvents()

  Returns the value of the 'Events' reference list. The list contents are of type `Event`. It is bidirectional and its opposite is '`Database`'.

  If the meaning of the 'Events' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Events' reference list.
  See Also:
    `SQLSchemaPackage.getDatabase_Events()`, `Event.getDatabase()`

### getAuthorizationIds

    public EList getAuthorizationIds()

  Returns the value of the 'Authorization Ids' reference list. The list contents are of type `AuthorizationIdentifier`.

  If the meaning of the 'Authorization Ids' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Authorization Ids' reference list.
  See Also:
    `SQLSchemaPackage.getDatabase_AuthorizationIds()`

### getUserDefinedTypes

    public java.util.List getUserDefinedTypes()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.